public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/cantata/
Date: Wed, 16 Mar 2022 16:40:40 +0000 (UTC)	[thread overview]
Message-ID: <1647448829.2549baab1858b49a4edd9fb80f019dd8beda990a.asturm@gentoo> (raw)

commit:     2549baab1858b49a4edd9fb80f019dd8beda990a
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 16 16:25:33 2022 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Mar 16 16:40:29 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2549baab

media-sound/cantata: 2.5.0 version bump, final release; EAPI-8 bump

Upstream repository was made read-only.

Categorized view was disabled, see also:
https://github.com/CDrummond/cantata/issues/1530

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-sound/cantata/Manifest             |   1 +
 media-sound/cantata/cantata-2.5.0.ebuild | 114 +++++++++++++++++++++++++++++++
 2 files changed, 115 insertions(+)

diff --git a/media-sound/cantata/Manifest b/media-sound/cantata/Manifest
index d00b45ad1fc2..c8ac65fd7ed6 100644
--- a/media-sound/cantata/Manifest
+++ b/media-sound/cantata/Manifest
@@ -1 +1,2 @@
 DIST cantata-2.4.2.tar.bz2 2498460 BLAKE2B 82486a644fa90567f2c1c997645817d9adee841b79fb782c4984143a0ef25758e8b6605de86eed1c09b2b63b9d570adc0c647245c5e0e900652c0444671c67a7 SHA512 c2459a53d86e12df7e6a8f7c19880f1c353c13893401a0906ec730c34ccbf1ef070c226b55c4e772e9a54a94e7cf3a2f96b0e9223ff20057045c888c4f91d87b
+DIST cantata-2.5.0.tar.bz2 2487031 BLAKE2B ad77987aae205695393a4fc782dc442a467ca392ce60251efdc68d12d29b3d2f24270f462a0dbfe0c375905f9356b8c649ff139021629ba58fd7de80819fdba0 SHA512 42f28321d01e0bc3a315030066b738dead8f8f8caed8c1115729a3d370d68d9d845f00576fc81ddba694bba6a4ae57c3f7de714b2e39874458548c3e5bb8b2d2

diff --git a/media-sound/cantata/cantata-2.5.0.ebuild b/media-sound/cantata/cantata-2.5.0.ebuild
new file mode 100644
index 000000000000..47c0c06bb587
--- /dev/null
+++ b/media-sound/cantata/cantata-2.5.0.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PLOCALES="cs da de en_GB es fi fr hu it ja ko nl pl pt_BR ru zh_CN"
+inherit cmake plocale qmake-utils xdg
+
+DESCRIPTION="Featureful and configurable Qt client for the music player daemon (MPD)"
+HOMEPAGE="https://github.com/CDrummond/cantata"
+SRC_URI="https://github.com/CDrummond/${PN}/releases/download/v${PV}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="cdda cddb cdio http-server mtp musicbrainz replaygain streaming taglib udisks zeroconf"
+REQUIRED_USE="
+	?? ( cdda cdio )
+	cdda? ( udisks || ( cddb musicbrainz ) )
+	cddb? ( || ( cdio cdda ) taglib )
+	cdio? ( udisks || ( cddb musicbrainz ) )
+	mtp? ( taglib udisks )
+	musicbrainz? ( || ( cdio cdda ) taglib )
+	replaygain? ( taglib )
+"
+# cantata has no tests
+RESTRICT="test"
+
+COMMON_DEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtdbus:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtsql:5[sqlite]
+	dev-qt/qtsvg:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtxml:5
+	sys-libs/zlib
+	virtual/libudev:=
+	cdda? ( media-sound/cdparanoia )
+	cddb? ( media-libs/libcddb )
+	cdio? ( dev-libs/libcdio-paranoia:= )
+	mtp? ( media-libs/libmtp:= )
+	musicbrainz? ( media-libs/musicbrainz:5= )
+	replaygain? (
+		media-libs/libebur128:=
+		media-sound/mpg123
+		media-video/ffmpeg:0=
+	)
+	streaming? ( dev-qt/qtmultimedia:5 )
+	taglib? (
+		media-libs/taglib[asf(+),mp4(+)]
+		udisks? ( sys-fs/udisks:2 )
+	)
+	zeroconf? ( net-dns/avahi )
+"
+RDEPEND="${COMMON_DEPEND}
+	dev-lang/perl[ithreads]
+	|| ( kde-frameworks/breeze-icons:5 kde-frameworks/oxygen-icons:* )
+"
+DEPEND="${COMMON_DEPEND}
+	dev-qt/qtconcurrent:5
+"
+BDEPEND="dev-qt/linguist-tools:5"
+
+PATCHES=( "${FILESDIR}/${PN}-2.2.0-headers.patch" )
+
+src_prepare() {
+	remove_locale() {
+		rm "translations/${PN}_${1}".ts || die
+	}
+
+	cmake_src_prepare
+
+	# Unbundle 3rd party libs
+	rm -r 3rdparty/{ebur128,qtsingleapplication} || die
+
+	plocale_find_changes "translations" "${PN}_" ".ts"
+	plocale_for_each_disabled_locale remove_locale
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DCANTATA_HELPERS_LIB_DIR="$(get_libdir)"
+		-DENABLE_CDPARANOIA=$(usex cdda)
+		-DENABLE_CDDB=$(usex cddb)
+		-DENABLE_CDIOPARANOIA=$(usex cdio)
+		-DENABLE_HTTP_SERVER=$(usex http-server)
+		-DENABLE_MTP=$(usex mtp)
+		-DENABLE_MUSICBRAINZ=$(usex musicbrainz)
+		-DENABLE_FFMPEG=$(usex replaygain)
+		-DENABLE_MPG123=$(usex replaygain)
+		-DENABLE_HTTP_STREAM_PLAYBACK=$(usex streaming)
+		-DENABLE_TAGLIB=$(usex taglib)
+		-DENABLE_DEVICES_SUPPORT=$(usex udisks)
+		-DENABLE_AVAHI=$(usex zeroconf)
+		-DENABLE_REMOTE_DEVICES=OFF
+		-DENABLE_UDISKS2=ON
+	)
+
+	cmake_src_configure
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	has_version media-sound/mpd || \
+		elog "An instance of media-sound/mpd, local or remote, is required to set up Cantata."
+
+	if ! has_version app-misc/media-player-info; then
+		elog "Install app-misc/media-player-info to enable identification"
+		elog "and querying of portable media players"
+	fi
+}


             reply	other threads:[~2022-03-16 16:41 UTC|newest]

Thread overview: 39+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-03-16 16:40 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-07  7:57 [gentoo-commits] repo/gentoo:master commit in: media-sound/cantata/ Andreas K. Hüttel
2023-11-26 23:29 Andreas Sturmlechner
2022-10-10  8:39 Andreas Sturmlechner
2022-07-17  7:22 Andreas Sturmlechner
2022-05-09  7:33 Jakov Smolić
2022-05-09  7:33 Jakov Smolić
2020-11-02 14:14 Andreas Sturmlechner
2020-11-02 12:48 Sam James
2020-10-18 18:06 Thomas Deutschmann
2020-09-20 22:03 Andreas Sturmlechner
2020-04-26 12:26 David Seifert
2020-03-21 17:45 Andreas Sturmlechner
2020-02-24 22:14 Andreas Sturmlechner
2019-07-15 20:52 Andreas Sturmlechner
2019-02-20 13:23 Mikle Kolyada
2019-02-17 16:19 Andreas Sturmlechner
2019-02-14 18:37 Andreas Sturmlechner
2019-01-06 20:53 Andreas Sturmlechner
2018-11-29 20:19 Andreas Sturmlechner
2018-10-05 20:59 Andreas Sturmlechner
2018-10-05  4:10 Thomas Deutschmann
2018-09-30 22:01 Andreas Sturmlechner
2018-06-23 19:56 Andreas Sturmlechner
2018-04-25 16:34 Andreas Sturmlechner
2018-04-25 16:34 Andreas Sturmlechner
2017-11-19  6:10 Michael Palimaka
2017-11-14 21:44 Thomas Deutschmann
2017-11-11 19:39 Andreas Sturmlechner
2017-10-28  7:43 Andreas Sturmlechner
2017-10-27 12:54 Thomas Deutschmann
2017-08-02 19:30 Andreas Sturmlechner
2016-12-20  9:31 Johannes Huber
2016-12-20  9:31 Johannes Huber
2016-11-05 16:06 Michael Palimaka
2016-07-21  9:40 Michael Palimaka
2016-06-06  7:07 Johannes Huber
2016-05-17 13:29 Johannes Huber
2015-09-01 19:55 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1647448829.2549baab1858b49a4edd9fb80f019dd8beda990a.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox